umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
Uml Namespace Reference

## Namespaces
namespace | AssociationType
namespace | Changeability
namespace | DiagramType
namespace | ID
namespace | LayoutType
namespace | ModelType
namespace | ParameterDirection
namespace | PrimitiveTypes
namespace | ProgrammingLanguage
namespace | Region
namespace | RoleType
namespace | SequenceMessage
namespace | ShowStereoType
namespace | SignatureType
namespace | TextRole
namespace | Visibility

## Classes
class | CmdBaseObjectCommand
class | CmdBaseWidgetCommand
class | CmdChangeFillColor
class | CmdChangeFont
class | CmdChangeLineColor
class | CmdChangeLineWidth
class | CmdChangeMultiplicity
class | CmdChangeTextColor
class | CmdChangeUseFillColor
class | CmdChangeVisualProperty
class | CmdCreateDiagram
class | CmdCreateUMLObject
class | CmdCreateWidget
class | CmdHandleRename
class | CmdMoveWidget
class | CmdRemoveDiagram
class | CmdRemoveUMLObject
class | CmdRemoveWidget
class | CmdRenameUMLObject
class | CmdResizeWidget
class | CmdSetName
class | CmdSetStereotype
class | CmdSetTxt
class | CmdSetVisibility
class | Corner

## Functions
QFont | systemFont ()

## Detailed Description

This namespace contains all the enums used all over the code base. The enums are embedded into namespaces and useful functionality is added.

## Function Documentation

## ◆ systemFont()

QFont Uml::systemFont | ( |  | ) |

Return general system font.

Returns
  font